from kivy.app import App
from kivy.uix.boxlayout import BoxLayout
from kivy.uix.button import Button

class SizeHintApp(App):
	def build(self):
                layout = BoxLayout(orientation='horizontal')
                b1 = Button(text='1st',size_hint_x=1)
                b2 = Button(text='2nd',size_hint_x=3)
                b3 = Button(text='3rd',size_hint_x=2,size_hint_y=0.5)
                layout.add_widget(b1)
                layout.add_widget(b2)
                layout.add_widget(b3)
                return layout

SizeHintApp().run()
